databaseChangeLog:
  - changeSet:
      id: add-layout-parsing-type-to-dossier-template
      author: maverick
      changes:
        - addColumn:
            tableName: dossier_template
            columns:
              - column:
                  name: layout_parsing_type
                  type: VARCHAR(255)
        - sql:
            sql: |
              UPDATE dossier_template
              SET layout_parsing_type = CASE
                WHEN '${APPLICATION_TYPE}' = 'DocuMine' THEN 'DOCUMINE_OLD'
                ELSE 'REDACT_MANAGER_WITHOUT_DUPLICATE_PARAGRAPH'
              END;
